Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class DefaultOGCWebServiceResponse

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse

All Implemented Interfaces:
  OGCWebServiceResponse

Direct Known Subclasses:
  DescribeLayerResult, DescribePlatformResult, DescribeRecordResult, DescribeSensorResult, DescribeTemplateResponseDocument, DomainResult, FeatureResult, GetAvailableTemplatesResponseDocument, GetFeatureInfoResult, GetLegendGraphicResult, GetMapResult, GetObservationResult, GetRecordByIdResult, GetRecordsResult, GmlResult, LockFeatureResponse, PrintMapResponseDocument, TransactionResponse, TransactionResult, WMPSGetCapabilitiesResult, WMSGetCapabilitiesResult

    public class DefaultOGCWebServiceResponse

extends Object
implements OGCWebServiceResponse

This is the base interface for all responses to OGC Web Services (OWS) requests. Each class that capsulates a response within an OWS has to implement this interface.

Version:
  2002-03-01
Author:
  Katharina Lupp

Field Summary
`protected OGCWebServiceException` | `exception`
`protected OGCWebServiceRequest` | `request`

Constructor Summary
`DefaultOGCWebServiceResponse(OGCWebServiceRequest request)` constructor initializing the class with the
`DefaultOGCWebServiceResponse(OGCWebServiceRequest request, OGCWebServiceException exception)` constructor initializing the class with the

Method Summary
`OGCWebServiceException` | `getException()` returns an XML encoding of the exception that raised.
`OGCWebServiceRequest` | `getRequest()` returns the request that causes the response.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### request

    protected OGCWebServiceRequest request

### exception

    protected OGCWebServiceException exception

Constructor Detail

### DefaultOGCWebServiceResponse

    public DefaultOGCWebServiceResponse(OGCWebServiceRequest request)

  constructor initializing the class with the

### DefaultOGCWebServiceResponse

    public DefaultOGCWebServiceResponse(OGCWebServiceRequest request,
                                        OGCWebServiceException exception)

  constructor initializing the class with the

Method Detail

### getRequest

    public OGCWebServiceRequest getRequest()

  returns the request that causes the response.

  Specified by:
    `getRequest` in interface `OGCWebServiceResponse`

### getException

    public OGCWebServiceException getException()

  returns an XML encoding of the exception that raised. If no exception raised `null` will be returned.

  Specified by:
    `getException` in interface `OGCWebServiceResponse`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org